QwtSetSample(3)

NAME
QwtSetSample - A sample of the types (x1...xn, y) or (x, y1..yn)

SYNOPSIS

#include <qwt_samples.h>

  Public Member Functions
QwtSetSample ()
QwtSetSample (double, const QVector< double > &=QVector< double >())
bool operator== (const QwtSetSample &other) const
Compare operator.
bool operator!= (const QwtSetSample &other) const
Compare operator.
double added () const

  Public Attributes
double value
value
QVector< double > set
Vector of values associated to value.

Detailed Description

A sample of the types (x1...xn, y) or (x, y1..yn)

Constructor & Destructor Documentation

  QwtSetSample::QwtSetSample () [inline]
Constructor The value is set to 0.0

  QwtSetSample::QwtSetSample (double v, const QVector< double > & s = QVector<double>()) [inline]
Constructor

Parameters:
    v Value
    s Set of values

Member Function Documentation

  double QwtSetSample::added () const [inline]

Returns:
    All values of the set added

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.